From b6265e0feb0c3e9e7aa5c2fb4c5e3c347786ae97 Mon Sep 17 00:00:00 2001
From: Pengpeng Dong <dongpengpeng@uniontech.com>
Date: Tue, 8 Sep 2020 13:56:32 +0800
Subject: [PATCH v3 1/2] quartz/tests: Add a test case where BaseControlWindowImpl_get_Visible  returns the result when visible is NULL.

Signed-off-by: Pengpeng Dong <dongpengpeng@uniontech.com>
---
 dlls/quartz/tests/videorenderer.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dlls/quartz/tests/videorenderer.c b/dlls/quartz/tests/videorenderer.c
index c2b6271021..bb24edda44 100644
--- a/dlls/quartz/tests/videorenderer.c
+++ b/dlls/quartz/tests/videorenderer.c
@@ -2257,6 +2257,9 @@ static void test_video_window(void)
     hr = IBaseFilter_QueryInterface(filter, &IID_IVideoWindow, (void **)&window);
     ok(hr == S_OK, "Got hr %#x.\n", hr);
 
+    hr = IVideoWindow_get_Visible(window, NULL);
+    ok(hr == E_POINTER, "Got  hr %#x.\n", hr);
+
     hr = IVideoWindow_get_Caption(window, &caption);
     todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
-- 
2.20.1

